
Redmine - Patch #30177

Thumbnail lifecycle: reuse thumbs from identical files, delete thumbs when diskfile is deleted

2018-12-11 08:51 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.1.0   

Description

These patches improve thumbnail handling in two aspects:

By changing the naming scheme for thumbnails to not use the attachment ID anymore, already generated thumbnails for

identical attachments will be reused.

The second patch adds code to remove any thumbnails when the original attachment file is deleted from disk. Without this

patch, thumbnails of deleted attachments are never deleted.

Associated revisions

Revision 17735 - 2018-12-15 03:37 - Go MAEDA

Allows re-use of thumbnails for identical attachments (#30177).

Patch by Jens Krämer.

Revision 17736 - 2018-12-15 03:58 - Go MAEDA

Deletes thumbnails when the attachment diskfile is deleted (#30177).

Patch by Jens Krämer.

History

#1 - 2018-12-12 02:22 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2018-12-14 10:05 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

LGTM. We can save disk space with this patch. Setting the target version to 4.1.0.

#3 - 2018-12-15 03:36 - Go MAEDA

- Assignee set to Go MAEDA

#4 - 2018-12-15 04:00 - Go MAEDA

- Status changed from New to Closed

Committed the patches. Thank you for improving Redmine.

Files

0001-allows-re-use-of-thumbnails-for-identical-attachment.patch 2.64 KB 2018-12-11 Jens Krämer

0002-deletes-thumbnails-when-the-attachment-diskfile-is-d.patch 2.4 KB 2018-12-11 Jens Krämer
